﻿using Infragistics.Windows.Editors;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDateTimeEditorApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }

        private void MCClick(object sender, MouseButtonEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {                
                this.dateTimeEditor.Value = (sender as XamMonthCalendar).ActiveDate;
            }), System.Windows.Threading.DispatcherPriority.Background);            
        }
        
        private void xamDateTimeEditor1_ValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            (sender as XamDateTimeEditor).EndEditMode(true, false);
        }
    }
}